MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Get the authenticated user's own profileGet a user's public profile
Utils
Vault
Webhooks
API ReferenceUsers

Get a user's public profile

GET
/v1/users/{user_id}

Public, unauthenticated lookup of a marketplace user's profile by id - used to resolve content authorship (e.g. blog post bylines) to a real account.

Path Parameters

user_id*User Id
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "username": "string",  "display_name": "string",  "avatar_url": "string",  "bio": "string",  "website_url": "string",  "github_handle": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Get the authenticated user's own profile

Previous Page

Utils

Endpoints in the Utils group.